--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Return all models that extend the Model module
- !ruby/struct:SM::Flow::VERB 
  body: "  class Foo\n    include DataMapper::Resource\n  end\n\n  DataMapper::Model.descendants.first   #=&gt; Foo\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [DescendantSet]"
- !ruby/struct:SM::Flow::VERB 
  body: "  Set containing the descendant models\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Model::descendants
is_singleton: true
name: descendants
params: ()
visibility: public
